<?php

global $wp;

$args = wp_parse_args(
    $args,
    array(
        'vacancy' => false,
        'questionset' => false,
        'errors' => []
    )
);

do_action('otys_load_style', ['handle' => 'otys-questionset-css','src' => OTYS_PLUGIN_ASSETS_URL . '/css/questionset.css']);
do_action('otys_load_script', ['handle' => 'otys-questionset-js','src' => OTYS_PLUGIN_ASSETS_URL . '/javascript/questionset.js']);
do_action('otys_load_script', ['handle' => 'otys-questionset-script','src' => 'https://www.google.com/recaptcha/api.js']);

get_header();

?>

<main id="site-content" role="main">
    <div class="site-width container-fluid">
        <article id="vacancy-apply">
            <header class="vacancy-header">
                <div id="vacancy-apply-header" class="vacancy-spacing">
                    <div class="vacancy-apply-left">
                        <div class="vacancy-head-apply-text">
                            <?php _e('You are currently applying for', 'otys-jobs-apply'); ?>
                        </div>
                        <h1 class="vacancy-title"><?php echo esc_html($args['vacancy']['title']) ?></h1>
                    </div>

                    <div class="vacancy-apply-right">

                    </div>
                </div>
            </header>

            <div id="vacancy-form" class="vacancy-spacing">
                <form method="POST" class="form_default" enctype="multipart/form-data" id="application-form" name="application-form">
                    <?php if (!empty($args['errors']) && isset($args['errors']['recaptcha'])) : ?>
                    <div class="vacancy-form-errors">
                        <div class="vacancy-form-error">
                            <?php echo wp_kses_post($args['errors']['recaptcha']); ?>
                        </div>
                    </div>
                    <?php endif; ?>
                    <div class="form-intro">
                        <p>
                            <?php printf(__('We have sent an e-mail to <u>%1$s</u>. Please confirm your e-mail adres by filling in the confirmation code below.'), $args['data']['Person.emailPrimary']); ?>
                        </p>
                    </div>

                    <div class="row form-input-wrapper">
                            <div class="col-md-4">
                                <label for="vacancy-form-email"><?php _e('Confirmation code', 'otys-jobs-apply'); ?></label>
                            </div>

                            <div class="col-md-8">
                                <div class="input-wrap">
                                    <div class="input-field">

                                        <input type="number" value="" name="confirmationcode" placeholder="<?php _e('Enter the confirmation code here', 'otys-jobs-apply') ; ?>"/>
                                    </div>
                                    <div class="input_errors">
                                        <div class="input_error">
                                            <?php
                                                if (isset($args['errors']['confirmationcode']) && $args['errors']['confirmationcode'] === true) {
                                                    echo __('The confirmation code entered is wrong. Please try again.');
                                                }
                                            ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                    </div>

                    <div class="form_footer">
                        <input type="hidden" name="uid" value="<?php echo $args['vacancy']['uid'] ?>" />

                 
                        <button class="g-recaptcha button vacancy_apply_button" data-sitekey="<?php echo esc_attr(get_option('otys_option_recaptcha_site_key')) ?>" data-callback='onSubmit' data-action='submit'>Apply</button>
                    </div>
                </form>
            </div>
        </article>
    </div>
</main>

<script>
    function onSubmit(token) {
        document.getElementById("application-form").submit();
    }
</script>

<?php
get_footer();