<?php

/**
 * Vacancies List
 */

global $wp;

$args = wp_parse_args(
    $args,
    array(
        'vacancies' => [],
        'matchCriteriaList' => [],
        'vacanciesTotal' => 0
    )
);

get_header();

?>

<div id="site-content" role="main" class="site-width container-fluid">
    <h1><?php echo esc_html(the_title()) ?></h1>
    <div id="vacancies-search-section">
        <h2><?php echo _e('Search vacancies', 'otys-jobs-apply') ?></h2>
        <form class="owp-search-form" action="" method="GET">
        <?php
            foreach ($_GET as $getName => $getValue) {
                if (array_key_exists($getName, $args['matchCriteriaList'])) :
                ?>
                
                <input type="hidden" name="<?php echo esc_attr($getName) ?>" value="<?php echo esc_attr($getValue) ?>" />
                
                <?php
                endif;
            }
            ?>

            <input class="owp-search-input" type="text" name="s" placeholder="<?php _e('Keyword', 'otys-jobs-apply'); ?>" value="<?php echo esc_attr(stripslashes(get_search_query())) ?>" />

            <button class="button owp-search-button" type="submit"><?php _e('Search', 'otys-jobs-apply'); ?></button>
        </form>
    </div>

    <?php if (!empty($args['query_parameters'])) : ?>
        <div id="vacancies-parameters">
            <?php
            foreach ($args['query_parameters'] as $parameter) :
                ?>

                <a class="vacancies-parameter" href="<?php echo esc_attr(home_url($wp->request) . '?' . $parameter['url']) ?>">
                    <span class="query-parameter-name">
                        <?php
                        if ($parameter['type'] === 'search') {
                            echo __('Keyword', 'otys-jobs-apply') . ': ';
                        }

                        foreach ($parameter['name'] as $key => $crit_name) :
                            echo ($key > 0) ? ' ' . __('or', 'otys-jobs-apply') . ' ' . stripslashes(htmlentities($crit_name)) : stripslashes(htmlentities($crit_name));
                        endforeach;
                        ?>
                    </span>
                    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 320 512"><!--! Font Awesome Pro 6.1.1 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) Copyright 2022 Fonticons, Inc. --><path d="M310.6 361.4c12.5 12.5 12.5 32.75 0 45.25C304.4 412.9 296.2 416 288 416s-16.38-3.125-22.62-9.375L160 301.3L54.63 406.6C48.38 412.9 40.19 416 32 416S15.63 412.9 9.375 406.6c-12.5-12.5-12.5-32.75 0-45.25l105.4-105.4L9.375 150.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L160 210.8l105.4-105.4c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25l-105.4 105.4L310.6 361.4z"/></svg>
                </a>

                <?php
            endforeach;
            ?>
        </div>
    <?php endif; ?>

    <div class="row">
        <aside id="vacancies-sidebar" class="col-md-4">
            <?php
            load_template(
                esc_attr(OTYS_PLUGIN_TEMPLATE_URL) . '/vacancies/vacancies-filters.php',
                true,
                $args
            );
            ?>
        </aside>

        <section id="vacancies-content" class="col-md-8">
            <div id="vacancies-top">
                <h2 class="vacancies-title owp-heading-2"><?php _e('Vacancies', 'otys-jobs-apply'); ?></h2>

                <div id="vacancies-counter"><?php echo $args['vacanciesTotal']; ?> <?php echo __('vacancies found', 'otys-jobs-apply') ?></div>
            </div>
            <?php
            load_template(
                esc_attr(OTYS_PLUGIN_TEMPLATE_URL) . '/vacancies/vacancies-list.php',
                true,
                $args
            );
            ?>
        </section>
    </div>
</div>


<?php
get_footer();
